Bug 807187 - Adhoc subprocess does not complete after triggering end event node inside
Adhoc subprocess does not complete after triggering end event node inside
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:58 EDT by Radovan Synek
Modified: 2013-01-31 04:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Ad-hoc sub-processes with non-terminating end event nodes do not end and the processes stays active.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2012-03-27 04:58:20 EDT
Adhoc subprocess with tasks inside; each task is triggered by ksession.signal(). One of this tasks continues with non-terminating end event node, which is triggered but the adhoc subprocess does not complete and the process stays in active state.

there is a pull request with reproducer:
https://github.com/droolsjbpm/jbpm/pull/56

commit:
https://github.com/rsynek/jbpm/commit/c4dccc59d8951e88c74c1f4b6bfb34c1bdf57c31
Comment 1 lcarlon 2012-05-30 20:14:19 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Ad-hoc subprocesses with non-terminating end event nodes will not end and the process stays active.

Note You need to log in before you can comment on or make changes to this bug.